> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/help-center/pt-br/primeiros-passos/start-using-agent-browser.md).

# Comece a usar o Agent Browser

Um guia para iniciantes sobre como comprar e usar o Oxylabs Agent Browser para automatizar a navegação para agentes de IA e web scraping.

### Criando um usuário do Agent Browser

1. Crie uma [painel](https://dashboard.oxylabs.io/) conta e navegue até **Preços**.
2. Escolha um plano de preços que atenda às suas necessidades. Toda nova conta também recebe um crédito de boas-vindas para gastar imediatamente. Veja [Como funcionam os preços e a cobrança para mais detalhes](/help-center/pt-br/perguntas-mais-populares/como-funcionam-os-precos-e-a-cobranca.md).
3. Crie uma instância do Agent Browser no painel. Você precisa nomear a instância antes de confirmá-la.
4. Seu nome de usuário e senha são gerados automaticamente e podem ser vistos a qualquer momento nas configurações da instância.

### Fazendo sua primeira requisição

Você pode se conectar ao Agent Browser usando Playwright, Puppeteer ou qualquer ferramenta que ofereça suporte ao Chrome DevTools Protocol (CDP). Além disso, você pode integrar diretamente com aplicativos de IA por meio do [Model Context Protocol](broken://spaces/BQ7Zf9paoN3FTeGcyfY1/pages/qKJOfgGohJ93ZxpTrwjL) (MCP), permitindo a automação completa dos seus fluxos de trabalho de navegação.

Vamos tentar uma conexão básica com o Agent Browser usando Playwright.

#### Exemplo de Playwright em Python

Instale a biblioteca Playwright pelo seu terminal:

```
pip install playwright
```

Use suas credenciais do Agent Browser e execute o código:

```python
from playwright.sync_api import sync_playwright

username = "your-username"
password = "your-password"
endpoint = "hb.oxylabs.io"
browser_url = f"wss://{username}:{password}@{endpoint}"

with sync_playwright() as p:
    browser = p.chromium.connect_over_cdp(browser_url)
    page = browser.new_page()
    page.goto('https://oxylabs.io/')
    print(page.title())
    browser.close()
```

#### Exemplo de Playwright em JavaScript

Instale a biblioteca Playwright pelo seu terminal:

```
npm init -y
npm install playwright
```

Insira suas credenciais do Agent Browser e execute o código:

```javascript
const { chromium } = require('playwright');

(async () => {
    const username = 'your-username';
    const password = 'your-password';
    const endpoint = 'hb.oxylabs.io';
    const browserUrl = `wss://${username}:${password}@${endpoint}`;

    const browser = await chromium.connectOverCDP(browserUrl);
    const page = await browser.newPage();
    await page.goto('https://oxylabs.io/');
    console.log(await page.title());
    await browser.close();
})();
```

Para mais informações e exemplos sobre como usar o Agent Browser, visite nossa [**documentação completa**](/products/agent-browser.md) ou entre em contato com nossa equipe de suporte em [**support@Oxylabs.io**](mailto:support@oxylabs.io).

### Recursos gratuitos adicionais

* Servidores proxy integrados para rotear solicitações por locais geográficos específicos.
* Segmentação geográfica em nível de país, cidade e estado [segmentação geográfica](/products/agent-browser/geolocation-and-proxy-selection.md) para identificar com precisão a localização exata de onde sua sessão é executada.
* [Inspeção e gravação de sessões](/products/agent-browser/session-inspection-and-recording.md) para depuração visual de sessões de automação do navegador.
* Especificando [tipo de dispositivo](/products/agent-browser/device-type.md) para lidar com layouts responsivos, conteúdo mobile e CAPTCHAs ou elementos da interface.
* [Tratamento de CAPTCHA](/products/agent-browser/captcha-handling.md) e acionamento manual dinâmico para CAPTCHAs dinâmicos após o carregamento.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/help-center/pt-br/primeiros-passos/start-using-agent-browser.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
